v1.0.0
OpenAPI 3.1.0

Update a folder

US region

Client Libraries

Update a folder

Updates the name and/or parent folder of an existing folder. At least one of name or parent_folder_id must be provided. Moving a folder into itself or one of its descendants is not allowed (cycle detection).

Path Parameters
  • id
    Type: integer
    min:  
    1
    required

    The unique identifier of the resource.

Body
required
application/json
  • name
    Type: string
    min length:  
    1

    New display name for the folder. Cannot be blank after trimming.

  • parent_folder_id
    Type: integer | null

    The ID of the new parent folder. Set to null to move the folder to the root level. Cannot be the folder itself or one of its descendants.

Responses
  • 204

    Folder updated successfully.

  • application/json
  • application/json
  • application/json
  • application/json
Request Example for put/v1/assets/folders/{id}
curl https://api.customer.io/v1/assets/folders/1 \
  --request PUT \
  --header 'Content-Type: application/json' \
  --data '{
  "name": "",
  "parent_folder_id": null
}'
No Body